???????????????????????????????   Íuò¸Zö 
>>>>>>>>>>>>>/>>>>>>>>>>>>>>>>><

?????????????????
Íuò¸Zö  
>>>>>>>>>>>>>/>>>>>>>>>>>>>>>>><
.........................../...
>>>>>>>>>>>>>/>>>>>>>>>>>>>>>>><

???????????????????????????????!!!!!!
>>>>>>>>>>/>>>>>>>>>>>>>>>>><
//---/-.+/--+------/------/--0+-

?????????????????
-/-/-----.-----ÿÀ 
1!%)+//
ÿØÿà JFIF      ÿÛ „ 	 ( %!1!%)+//.383,7(-.+
+//.383,7(-.+
                  Øÿà JFIF      ÿÛ                                                                                  

-%%-////---/-.+/--+------/------/--0+--/-/-----.-----ÿÀ  ¥2" ÿÄ               ÿÄ J  	     ! 1AQ"aq2‘#BR‚¡ÁÑ3br’¢±Âð$CSƒ²á4c“%DsÓñÿÄ              ÿÄ *        !1AQa‘"2q3±ð#b¡ÿÚ   ? ¼QxJQaÍuò¸Zö Úü8,ÐÚú383,7(-.+
"SSn<rçù–´âE—^ªBÖ9À\†¸ÔÁT­ÃÛ5
ëd´³Í#Ý;Þ38œî ¶H£M:wÎ3…³…âpÔF&‚FK¸9„â4àGEõªfÿ ‘ñ(ßw­pŽF|È¥ù®häðÍÑ¶¹‘[ÒinÙW¶ùñY˜Q{›K"išÒ[Ú8žë\F¹@-?v"ÔU”,ìöžkÿ {I‡£šÍ?e
ríV  +//.383,7(-.+
?>
                                              
???????????????????????????????!!!!!!

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

>>>>>>>>>>>>>/>>>>>>>>>>>>>>>>>>

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#!/bin/sh
#
### BEGIN INIT INFO
# Provides:          resolvconf
# Required-Start:    $local_fs
# Required-Stop:     $local_fs
# X-Start-Before:    networking ifupdown
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Nameserver information manager
# Description:       This service manages the list of nameserver addresses
#                    used by the libc resolver and name service caches
### END INIT INFO
#
# This file is part of the resolvconf package.
#
# We really need "X-Stop-Before: networking ifupdown" too because
# terminal ifdowns shouldn't update resolv.conf;
# however there is unfortunately no such thing as "X-Stop-Before".
#
# This file is not used in Ubuntu.
#

# Don't use set -e; check return status instead.

[ -x /sbin/resolvconf ] || exit 0

PATH=/sbin:/bin
RUN_DIR=/run/resolvconf
ENABLE_UPDATES_FLAGFILE="${RUN_DIR}/enable-updates"
POSTPONED_UPDATE_FLAGFILE="${RUN_DIR}/postponed-update"

. /lib/lsb/init-functions

# Abort if Upstart is in use, as per Policy §9.11.1.
case "$1" in
  start|restart|force-reload)
	init_is_upstart && exit 1
	;;
  stop)
	init_is_upstart && exit 0
	;;
esac

# $1 EXITSTATUS
# [$2 MESSAGE]
log_action_end_msg_and_exit()
{
	log_action_end_msg "$1" ${2:+"$2"}
	exit $1
}

create_runtime_directories()
{
	umask 022
	if [ ! -d "$RUN_DIR" ] ; then
		# Create directory at the target
		mkdir "$RUN_DIR" || log_action_end_msg_and_exit 1 "Error creating directory $RUN_DIR"
	fi
	[ -x /sbin/restorecon ] && /sbin/restorecon "$RUN_CANONICALDIR"

	# The resolvconf run directory now exists.
	if [ ! -d "${RUN_DIR}/interface" ] ; then
		mkdir "${RUN_DIR}/interface" || log_action_end_msg_and_exit 1 "Error creating directory ${RUN_DIR}/interface"
	fi
	[ -x /sbin/restorecon ] && /sbin/restorecon "${RUN_DIR}/interface" "${RUN_DIR}/resolv.conf "${RUN_DIR}/enable-updates

	# The interface directory now exists.  We are done.
	return
}

wipe_runtime_directories()
{
	# Delete files in the resolvconf run directory (target) but not the directory itself
	[ -d "$RUN_DIR" ] || return
	rm -f "$RUN_DIR"/resolv.conf
	rm -f "$ENABLE_UPDATES_FLAGFILE"
	rm -f "$POSTPONED_UPDATE_FLAGFILE"
	rm -rf "${RUN_DIR}/interface/*"
	return
}

case "$1" in
  start)
	# The "start" method should only be used at boot time.
	# Don't run this on package upgrade, for example.
	log_action_begin_msg "Setting up resolvconf"
	# W